Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Zoom Workplace

Zoom One - April 18, 2022

API releaseBug fix

Summary:Added APIs for getting meeting and webinar join tokens for local recording, managing webinar session branding, workspaces, master webinar branding, new response fields in meeting APIs, participant invite callout in live meeting events, transferring whiteboards when deleting users, archive file status, data centers for Video SDK, user settings, group settings, account lock settings, Zoom Phone and Bundle usage, new SDK CMR plans, and bug fixes for clearing user manager field, virtual background file info, recording file recovery trigger, blank emails for recording registrants, and weak recording passcode detection.

The following changes were released on April 18 2022:

Added

Meeting

  • Get a meeting's join token for local recording

    • GET /v2/meetings/{meetingId}/jointoken/local_recording

Webinar

  • Get a webinar's join token for local recording

    • GET /v2/webinars/{webinarId}/jointoken/local_recording
  • Get webinar's session branding

    • GET /v2/webinars/{webinarId}/branding
  • Set webinar's default branding Virtual Background

    • PATCH /v2/webinars/{webinarId}/branding/virtual_backgrounds
  • Upload a webinar's branding Virtual Background

    • POST /v2/webinars/{webinarId}/branding/virtual_backgrounds
  • Delete a webinar's branding Virtual Backgrounds

    • DELETE /v2/webinars/{webinarId}/branding/virtual_backgrounds
  • Upload a webinar's branding wallpaper

    • POST /v2/webinars/{webinarId}/branding/wallpaper
  • Delete a webinar's branding wallpaper

    • DELETE /v2/webinars/{webinarId}/branding/wallpaper

Workspace

We have introduced new Workspaces APIs with the following endpoints:

  • List workspaces

    • GET /v2/workspaces
  • Create a reservation

    • POST /v2/workspaces/{workspaceId}/reservations
  • Update a reservation

    • PATCH /v2/workspaces/{workspaceId}/reservations
  • Delete a reservation

    • DELETE /v2/workspaces/{workspaceId}/reservations/{reservationId}

Master APIs

  • Get webinar's session branding

    • GET /v2/accounts/{accountId}/webinars/{webinarId}/branding
  • Set webinar's default branding Virtual Background

    • PATCH /v2/accounts/{accountId}/webinars/{webinarId}/branding/virtual_backgrounds
  • Upload a webinar's branding Virtual Background

    • POST /v2/accounts/{accountId}/webinars/{webinarId}/branding/virtual_backgrounds
  • Delete a webinar's branding Virtual Backgrounds

    • DELETE /v2/accounts/{accountId}/webinars/{webinarId}/branding/virtual_backgrounds
  • Upload a webinar's branding wallpaper

    • POST /v2/accounts/{accountId}/webinars/{webinarId}/branding/wallpaper
  • Delete a webinar's branding wallpaper

    • DELETE /v2/accounts/{accountId}/webinars/{webinarId}/branding/wallpaper

Enhancements

  • New authentication_exception.join_url response field in the following Meeting APIs:

    • GET /v2/meetings/{meetingId}

    • POST /v2/users/{userId}/meetings

  • New activity response field in the GET /v2/contacts API.

  • New enable_session_branding field in the following Webinar APIs:

    • PATCH /v2/webinars/{webinarId}

    • POST /v2/users/{userId}/webinars

    • GET /v2/webinars/{webinarId}

  • New participant.invite.callout value for the method field and new invitee_name, phone_number, and invite_options fields in the params field in the PATCH /v2/live_meetings/{meetingId}/events API.

  • New transfer_whiteboard request field in the DELETE /v2/users/{userId} API.

  • New location_id response field in the GET /v2/metrics/zoomrooms API.

  • New status field in the following Archiving APIs:

    • GET /v2/archive_files

    • GET /v2/past_meetings/{meetingUUID}/archive_files

  • Added Data center region for session data in transit support for Video SDK accounts in the following Account APIs:

    • GET /v2/accounts/{accountId}/settings

    • PATCH /v2/accounts/{accountId}/settings

  • New zoom_iq_for_sales, auto_answer, and allow_show_zoom_windows fields in the following User APIs:

    • GET /v2/users/{userId}/settings

    • PATCH /v2/users/{userId}/settings

  • New always_display_zoom_meeting_as_topic and always_display_zoom_webinar_as_topic, display_topic_for_scheduled_meetings, display_topic_for_scheduled_webinars, and enable fields in the following Group APIs:

    • GET /v2/groups/{groupId}/settings

    • PATCH /v2/groups/{groupId}/settings

  • New always_display_zoom_webinar_as_topic fields in the following Account APIs:

    • GET /v2/accounts/{accountId}/lock_settings

    • PATCH /v2/accounts/{accountId}/lock_settings

  • Added support for the Zoom Phone and Bundle plan usage in the GET /v2/accounts/{accountId}/plans/usage API.

  • New vsdk_cmr_monthly_100 and vsdk_cmr_monthly_500 API plan types in the following Billing APIs:

    • POST /v2/accounts/{accountId}/plans

    • PUT /v2/accounts/{accountId}/plans/addons

    • PATCH /v2/accounts/{accountId}/plans/addons

Bug Fixes

  • Fixed an issue where the manager field's information could not be cleared in the PATCH /v2/users/{userId} API.

  • Fixed an issue where an uploaded Virtual Background file contained file path info in the following APIs:

    • POST /v2/accounts/{id}/settings/virtual_backgrounds

    • POST /v2/groups/{id}/settings/virtual_backgrounds

    • POST /v2/users/{id}/settings/virtual_backgrounds

  • Fixed an issue where the action parameter's recover value would trigger after recovering a permanently-deleted recording file in the PUT /v2/meetings/{meetingId}/recordings/{recordingId}/status API.

  • Fixed an issue where adding recording registrants via the POST /v2/meetings/{meetingId}/recordings/registrants API that would allow blank values for email addresses.

  • Fixed an issue where the passcode detection in the PATCH /v2/meetings/{meetingId}/recordings/settings API was weak.